package dev.inmo.postssystem.features.common.common

import dev.inmo.micro_utils.common.MPPFile
import io.ktor.utils.io.core.ByteReadPacket
import io.ktor.utils.io.core.Input
import kotlinx.serialization.Serializable

@Serializable(SimpleInputProviderSerializer::class)
actual class FileBasedInputProvider internal constructor(
    actual val file: MPPFile,
    private val bytes: ByteArray
) : SimpleInputProvider {
    override fun invoke(): Input = ByteReadPacket(bytes)
}
