package dev.inmo.postssystem.features.roles.manager.server

import dev.inmo.micro_utils.ktor.server.UnifiedRouter
import dev.inmo.postssystem.features.roles.common.RolesStorage
import dev.inmo.postssystem.features.roles.manager.common.RolesManagerRole
import dev.inmo.postssystem.features.roles.manager.common.RolesManagerRoleSerializer
import dev.inmo.postssystem.features.roles.server.RolesStorageWriteServerRoutesConfigurator
import dev.inmo.micro_utils.ktor.server.configurators.ApplicationRoutingConfigurator

class RolesManagerRolesStorageServerRoutesConfigurator(
    storage: RolesStorage<RolesManagerRole>,
    unifiedRouter: UnifiedRouter
) : ApplicationRoutingConfigurator.Element by RolesStorageWriteServerRoutesConfigurator(
    storage,
    RolesManagerRoleSerializer,
    RolesManagerRolesChecker.key,
    unifiedRouter = unifiedRouter
)
