package dev.inmo.postssystem.client.settings

import dev.inmo.postssystem.client.settings.auth.AuthSettings
import kotlinx.coroutines.flow.StateFlow
import org.koin.core.module.Module

interface Settings {
    val authSettings: AuthSettings

    val authorizedDIModule: StateFlow<Module?>
        get() = authSettings.authorizedDIModule
}
