package dev.inmo.postssystem.features.common.common

import dev.inmo.micro_utils.common.MPPFile
import io.ktor.utils.io.core.Input
import io.ktor.utils.io.streams.asInput
import kotlinx.serialization.Serializable

@Serializable(SimpleInputProviderSerializer::class)
actual class FileBasedInputProvider(
    actual val file: MPPFile
) : SimpleInputProvider {
    override fun invoke(): Input = file.inputStream().asInput()
}
